.rooms-slider {
    padding: 0;
    overflow: hidden;
}

.rooms-slider .pin-spacer {
    pointer-events: none;
}

.horizontal-gallery {
    position: relative;
    width: 100%;
    height: 100vh;
    min-height: 51vw;
    pointer-events: visible;
}

.rooms-slider .module-rooms-title {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    pointer-events: none;
}

.rooms-slider .module-rooms-text {
    position: absolute;
    bottom: 0;
    left: 0;
    pointer-events: none;
}

.horizontal-gallery .gallery {
    position: absolute;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-wrap: nowrap;
    align-items: flex-end;
    padding: calc(126 * var(--size)) var(--gap);
}

.horizontal-gallery .gallery-slide {
    width: calc(346 * var(--size));
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-end;
}

.horizontal-gallery .gallery-slide:not(:last-child) {
    margin-right: calc(16 * var(--size));
}

.horizontal-gallery .gallery-slide h3 {
    margin-bottom: calc(12 * var(--size));
}

.horizontal-gallery .gallery-slide .room-thumbnail {
    width: 100%;
    position: relative;
}

.horizontal-gallery .gallery-slide .room-thumbnail:after {
    content: "";
    display: block;
    width: 100%;
    position: relative;
    padding-bottom: 125%;
}

.horizontal-gallery .gallery-slide .room-thumbnail picture {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.horizontal-gallery .gallery-slide .room-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* RESPONSIVE */

@media only screen and (min-width: 769px) and (min-aspect-ratio: 100 / 58) {
    .horizontal-gallery .gallery-slide {
        width: calc(280 * var(--size));
    }
}

@media only screen and (max-width: 1920px) and (min-aspect-ratio: 100 / 51) {
    .horizontal-gallery {
        min-height: 45vw;
    }

    .horizontal-gallery .gallery {
        padding-bottom: var(--gap);
    }

    .rooms-slider .module-rooms-text {
        display: none;
    }
}

@media only screen and (max-width: 768px) {
    .horizontal-gallery .gallery {
        padding: calc(105 * var(--size)) var(--gap) calc(230 * var(--size));
    }

    .horizontal-gallery .gallery-slide {
        width: calc(205 * var(--size));
    }

    .horizontal-gallery .gallery-slide:not(:last-child) {
        margin-right: calc(8 * var(--size));
    }

    .rooms-slider .module-rooms-title {
        text-indent: 0;
    }

    .rooms-slider .module-rooms-text {
        bottom: calc(84 * var(--size));
    }

    .horizontal-gallery .gallery-slide .room-thumbnail:after {
        padding-bottom: 132%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 840px) {
    body.touchDevice .horizontal-gallery .gallery {
        padding: calc(105 * var(--size)) var(--gap) calc(95 * var(--size));
    }
    body.touchDevice .horizontal-gallery .gallery-slide {
        width: calc(180 * var(--size));
    }

    body.touchDevice .rooms-slider .module-rooms-text {
        display: none;
    }
}
